echo off
cls
space %1: 3000kb
if errorlevel 1 goto NoSpace
godir %1:\sierra\kq1
if errorlevel 1 goto CantCreate
echo Please wait, copying files...
copy %2:exists.com >nul
echo cd kq1 >\sierra\kq1.bat
echo sierra >>\sierra\kq1.bat
echo cd ..  >>\sierra\kq1.bat
copy %2:__insth.bat >nul
__insth %1 %2
:NoSpace
echo "There is not enough space on %1 to install King's Quest I!"
echo "3 megabytes of disk space are necessary."
goto Exit
:CantCreate
echo "Unable to create directory %1."
goto Exit
:Exit
